Get Fleet
Get detailed information about a specific fleet.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
fleet_id
Response
Successful Response
name
fleet_ref
An optional reference for the fleet. Used to store an external identifier for the fleet in your system.
id
Unique Catena fleet identifier
created_at
When the fleet was created
updated_at
Last modification timestamp
description
A description of the fleet
display_name
legal_name
dba_name
websites
List of websites associated with the fleet. The website is used to map users to an organization based on their email domain and to authenticate them accordingly in the scope of the organization.
invitation_id
ID of the invitation that was used to onboard the fleet
regulatory_id
Primary identifier from a regulatory body for a fleet (like DOT Number).
regulatory_id_type
Type of the regulatory ID like DOT, EASA, etc.
regulatory_id_date
Date when the regulatory ID was issued.
regulatory_id_status
Status of the regulatory ID.
registered_email
Email address that is registered for the fleet.
registered_phone
Phone number that is registered for the fleet.
registered_fax
Fax number that is registered for the fleet.
address
Physical address that is registered for the fleet.
city
City that is registered for the fleet.
province
Province that is registered for the fleet.
postal_code
Postal code that is registered for the fleet.
country_code
ISO-3 Country code that is registered for the fleet.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error